Package org.springframework.beans.factory.aot

# Class AotProcessingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.beans.factory.aot.AotException
org.springframework.beans.factory.aot.AotProcessingException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AotBeanProcessingException`

public class AotProcessingException extends AotException
Throw when an AOT processor failed.

Since:
  6.2
Author:
  Stephane Nicoll
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AotProcessingException(String msg, Throwable cause)`
Create a new instance with the detail message and a root cause, if any.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AotProcessingException

public AotProcessingException(String msg, @Nullable Throwable cause)
Create a new instance with the detail message and a root cause, if any.

Parameters:
  `msg` - the detail message
  `cause` - the root cause, if any